# 投資關係

`GET` `/v1/quote/invest-relations`

獲取投資關係數據，包括母公司、子公司及主要持股。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 證券代碼，例如 `700.HK` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/invest-relations?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `invest_securities` | object[] | No | 投資持倉列表 |
| `└ company_id` | string | No | 公司 ID |
| `└ company_name` | string | No | 展示用公司名稱 |
| `└ company_name_zhcn` | string | No | 公司中文名稱 |
| `└ company_name_en` | string | No | 公司英文名稱 |
| `└ symbol` | string | No | 證券代碼 |
| `└ percent_of_shares` | string | No | 持股比例 |
| `└ shares_value` | string | No | 持股市值 |
| `└ shares_rank` | string | No | 按持股數排名 |
| `└ currency` | string | No | 貨幣 |
| `forward_url` | string | No | 公司投資者關係頁面 URL |
| `total` | integer | No | 滿足條件的股票總數。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "forward_url": "https://longbridge.com/wiki/stocks/ST.HK.700#invest",
    "invest_securities": [
      {
        "symbol": "HUYA.US",
        "company_id": "12345",
        "company_name": "Huya Inc.",
        "company_name_en": "Huya Inc.",
        "company_name_zhcn": "虎牙直播",
        "currency": "USD",
        "percent_of_shares": "19.00",
        "shares_rank": "1",
        "shares_value": "19000000"
      }
    ]
  }
}
```
